tomcat-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
Subject DO NOT REPLY [Bug 47203] New: Make JMXAdaptorLifecycleListener Java 1.4 compatible
Date Fri, 15 May 2009 22:10:35 GMT

           Summary: Make JMXAdaptorLifecycleListener Java 1.4 compatible
           Product: Tomcat 5
           Version: Unknown
          Platform: PC
        OS/Version: Windows XP
            Status: NEW
          Severity: enhancement
          Priority: P2
         Component: Catalina

Created an attachment (id=23666)
 --> (
Patch for JMXAdaptorLifecycleListener.patch


The JMXAdaptorLifecycleListener is used to start a RMI connector, so that
application launched are accessible through JConsole. Please check the section
"JMX Technology for Remote Management" at th following URL =>

For now, the JMXAdaptorLifecycleListener is only available in Java 5.
The purpose of this patch is to make it available for Java 1.4,
and make this class available in standard in the tomcat 5.5 package.
This was not the case before because this class was only Java 5 compatible.

In Java 1.4, you will need the following jar to be able to launch the server :
 - jmxri.jar ( JMX Reference API)
 - jmx-remote.jar, rmi.ssl ( JMX-Remote Reference API)

Best regards,

Configure bugmail:
------- You are receiving this mail because: -------
You are the assignee for the bug.

To unsubscribe, e-mail:
For additional commands, e-mail:

View raw message